# LineMetrics Matlab RESTful API SDK

## What does this SDK provide?
This API SDK enables you to download historic data from the LineMetrics cloud. Other functionality of the REST API like retriving object data, creating objects or writing data is at the moment not supported.

## How do you install this package?
* Download the LmApi.m file and save it wherever it is conveniant for you.
* Add the path to the file to your matlab search path to make it permanently available.
```
addpath('/path/to/the/folder/of/the/m/file')
```

## Example
### Connect to Cloud
First we have to connect to the cloud. You need your Client ID and your Client Secret.
```
a = LmApi('your_client_id','your_client_secret')
```
This should return something similar to this:
```
LineMetrics API access token has been retrieved.
This token is expiring in one hour.
Then you have to get a new token.

a = 

  LmApi with properties:

        ClientId: 'XXX'
    ClientSecret: 'XXX'
     AccessToken: 'XXX'
      ApiOptions: [1×1 weboptions]
```
The connection to the cloud expires after one hour. Then have to rerun the first line.

### Download Some Data
Now we are ready to download some data. Therefore you need the Object ID (or the Object Alias) and the API alias of your measurement point in the LineMetrics cloud. 
```
data = a.loadData('2019-07-01 00:00','2019-08-06 12:00','object_id','api_alias')
```
The output should look like this:
```
  timeseries

  Common Properties:
            Name: 'your_object_id/your_api_alias'
            Time: [52561x1 double]
        TimeInfo: [1x1 tsdata.timemetadata]
            Data: [1x1x52561 double]
        DataInfo: [1x1 tsdata.datametadata]

  More properties, Methods
```
Now you can plot your data:
```
plot(data)
```
## Contact
If you have any questions don't hesitate to send an email to the author Wolfgang Lubowski (<w.lubowski@linemetrics.com>).